Loading...
Searching...
No Matches
version.hpp File Reference

Provides RAPTOR version macros and global variables. More...

`#include <cstdint>`

Go to the source code of this file.

## Macros

#define | RAPTOR_RELEASE_CANDIDATE 0
| The release candidate number. 0 means stable release, >= 1 means release candidate.
#define | RAPTOR_RELEASE_CANDIDATE_HELPER(RC)
| A helper function that expands to a suitable release candidate suffix.
#define | RAPTOR_VERSION (RAPTOR_VERSION_MAJOR * 10000 + RAPTOR_VERSION_MINOR * 100 + RAPTOR_VERSION_PATCH)
| The full version as MACRO (number).
#define | RAPTOR_VERSION_CSTRING
| The full version as null terminated string.
#define | RAPTOR_VERSION_CSTRING_HELPER_FUNC(MAJOR, MINOR, PATCH)
| Converts version numbers to string.
#define | RAPTOR_VERSION_CSTRING_HELPER_STR(str)
| Converts a number to a string. Preprocessor needs this indirection to properly expand the values to strings.
#define | RAPTOR_VERSION_MAJOR 3
| The major version as MACRO.
#define | RAPTOR_VERSION_MINOR 0
| The minor version as MACRO.
#define | RAPTOR_VERSION_PATCH 1
| The patch version as MACRO.

## Variables

constexpr std::size_t | raptor::raptor_version = RAPTOR_VERSION
| The full version as std::size_t.
constexpr char const * | raptor::raptor_version_cstring = RAPTOR_VERSION_CSTRING
| The full version as null terminated string.
constexpr uint8_t | raptor::raptor_version_major = RAPTOR_VERSION_MAJOR
| The major version.
constexpr uint8_t | raptor::raptor_version_minor = RAPTOR_VERSION_MINOR
| The minor version.
constexpr uint8_t | raptor::raptor_version_patch = RAPTOR_VERSION_PATCH
| The patch version.

## Detailed Description

Provides RAPTOR version macros and global variables.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>

## Macro Definition Documentation

## RAPTOR_RELEASE_CANDIDATE_HELPER

#define RAPTOR_RELEASE_CANDIDATE_HELPER | ( |  | RC | ) |

Value:
""

A helper function that expands to a suitable release candidate suffix.

## RAPTOR_VERSION_CSTRING

#define RAPTOR_VERSION_CSTRING

Value:
RAPTOR_VERSION_CSTRING_HELPER_FUNC(RAPTOR_VERSION_MAJOR, RAPTOR_VERSION_MINOR, RAPTOR_VERSION_PATCH) \
RAPTOR_RELEASE_CANDIDATE_HELPER(RAPTOR_RELEASE_CANDIDATE)
RAPTOR_VERSION_CSTRING_HELPER_FUNC
#define RAPTOR_VERSION_CSTRING_HELPER_FUNC(MAJOR, MINOR, PATCH)
Converts version numbers to string.
Definition version.hpp:35
RAPTOR_VERSION_MINOR
#define RAPTOR_VERSION_MINOR
The minor version as MACRO.
Definition version.hpp:20
RAPTOR_VERSION_MAJOR
#define RAPTOR_VERSION_MAJOR
The major version as MACRO.
Definition version.hpp:18
RAPTOR_VERSION_PATCH
#define RAPTOR_VERSION_PATCH
The patch version as MACRO.
Definition version.hpp:22
RAPTOR_RELEASE_CANDIDATE
#define RAPTOR_RELEASE_CANDIDATE
The release candidate number. 0 means stable release, >= 1 means release candidate.
Definition version.hpp:24

The full version as null terminated string.

## RAPTOR_VERSION_CSTRING_HELPER_FUNC

#define RAPTOR_VERSION_CSTRING_HELPER_FUNC | ( |  | MAJOR,
|  |  | MINOR,
|  |  | PATCH )

Value:
RAPTOR_VERSION_CSTRING_HELPER_STR(MAJOR) \
"." RAPTOR_VERSION_CSTRING_HELPER_STR(MINOR) "." RAPTOR_VERSION_CSTRING_HELPER_STR(PATCH)
RAPTOR_VERSION_CSTRING_HELPER_STR
#define RAPTOR_VERSION_CSTRING_HELPER_STR(str)
Converts a number to a string. Preprocessor needs this indirection to properly expand the values to s...
Definition version.hpp:32

Converts version numbers to string.

## RAPTOR_VERSION_CSTRING_HELPER_STR

#define RAPTOR_VERSION_CSTRING_HELPER_STR | ( |  | str | ) |

Value:
#str

Converts a number to a string. Preprocessor needs this indirection to properly expand the values to strings.